<template>
  <AmsTwoPanels
    :panel-widths="['45%', null]"
  >
    <template #left>
      <AmsStrategicPanelTables :content-options="TABLES_OPTIONS" />
    </template>
    <template #right>
      <AmsStrategicPanelGraphs />
    </template>
  </AmsTwoPanels>
</template>

<script lang="ts">
import {
  defineComponent,
  inject,
  onBeforeUnmount,
} from "@nuxtjs/composition-api";

import useFiltering from "~/composables/filtering";

export default defineComponent({
  components: {
    AmsTwoPanels: () => import("~/components/Layout/TwoPanels.vue"),
    AmsStrategicPanelTables: () => import("~/components/Views/Strategic/StrategicPanelTables.vue"),
    AmsStrategicPanelGraphs: () => import("~/components/Views/Strategic/StrategicPanelGraphs.vue"),
  },

  setup () {
    const store: any = inject("store");

    const TABLES_OPTIONS = {
      title: "top_locations",
      enableNav: true,
      enableTopLocTable: true,
    };

    const GRAPHS_OPTIONS = {};

    store.switchRightPanel(true);

    onBeforeUnmount(() => {
      const { filter } = useFiltering();

      filter();
    });

    return {
      TABLES_OPTIONS,
      GRAPHS_OPTIONS,
    };
  },
});
</script>
